Summarize workspace ingestions and failures over a period
curl --request GET \
--url https://api.refmatter.com/v1/workspaces/{workspaceId}/usage \
--cookie social_session=const options = {method: 'GET', headers: {cookie: 'social_session='}};
fetch('https://api.refmatter.com/v1/workspaces/{workspaceId}/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.refmatter.com/v1/workspaces/{workspaceId}/usage"
headers = {"cookie": "social_session="}
response = requests.get(url, headers=headers)
print(response.text){
"workspaceId": "<string>",
"window": {
"range": "6h",
"start": "<string>",
"end": "<string>",
"bucket": "15m"
},
"ingestions": {
"total": 4503599627370495,
"succeeded": 4503599627370495,
"failed": 4503599627370495,
"cancelled": 4503599627370495,
"inFlight": 4503599627370495
},
"failuresByCode": [
{
"code": "invalid_input",
"count": 4503599627370495
}
],
"series": [
{
"total": 4503599627370495,
"succeeded": 4503599627370495,
"failed": 4503599627370495,
"start": "<string>"
}
],
"byPlatform": [
{
"total": 4503599627370495,
"succeeded": 4503599627370495,
"failed": 4503599627370495,
"platform": "youtube"
}
],
"generatedAt": "<string>"
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}workspaces
Summarize workspace ingestions and failures over a period
GET
/
v1
/
workspaces
/
{workspaceId}
/
usage
Summarize workspace ingestions and failures over a period
curl --request GET \
--url https://api.refmatter.com/v1/workspaces/{workspaceId}/usage \
--cookie social_session=const options = {method: 'GET', headers: {cookie: 'social_session='}};
fetch('https://api.refmatter.com/v1/workspaces/{workspaceId}/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.refmatter.com/v1/workspaces/{workspaceId}/usage"
headers = {"cookie": "social_session="}
response = requests.get(url, headers=headers)
print(response.text){
"workspaceId": "<string>",
"window": {
"range": "6h",
"start": "<string>",
"end": "<string>",
"bucket": "15m"
},
"ingestions": {
"total": 4503599627370495,
"succeeded": 4503599627370495,
"failed": 4503599627370495,
"cancelled": 4503599627370495,
"inFlight": 4503599627370495
},
"failuresByCode": [
{
"code": "invalid_input",
"count": 4503599627370495
}
],
"series": [
{
"total": 4503599627370495,
"succeeded": 4503599627370495,
"failed": 4503599627370495,
"start": "<string>"
}
],
"byPlatform": [
{
"total": 4503599627370495,
"succeeded": 4503599627370495,
"failed": 4503599627370495,
"platform": "youtube"
}
],
"generatedAt": "<string>"
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}Authorizations
Path Parameters
Opaque workspace identifier
Query Parameters
Preset period ending now; default 30d. Omit with from and to
Available options:
6h, 24h, 7d, 30d First UTC day of a custom period, inclusive; needs to
Last UTC day of a custom period, inclusive; at most 90 days
Response
Usage over the requested period
Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-7[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum array length:
20Show child attributes
Show child attributes
Maximum array length:
100Show child attributes
Show child attributes
Maximum array length:
16Show child attributes
Show child attributes
Pattern:
^\d{4}-(0[1-9]|1[0-2])-([0-2]\d|3[01])T([01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d{1,9})?(?:Z|[+-](?:[01]\d|2[0-3]):[0-5]\d)$